<?php
/*
  Plugin Name: new-post
  Plugin URI:https://www.zip358.com/plugin/new-post.zip
  Description: 新着記事を本文の下に追加する
  Version: 1.0.0
  Author: @zip358com
  Author URI: https://www.zip358.com
 */


function comment_add($content)
{
    if (is_single() && 'post' == get_post_type()) {
        $custom_content = "";
        $content = $content . $custom_content . slick();
        return $content;
    } else {
        return $content;
    }
}
function slick()
{
    ob_start();
    $args = get_posts(array(
        'post_type' => 'post',
        'posts_per_page' => 5
    ));
    $my_query = new WP_Query($args);
    $my_query->post_count = 5; ?>
    <div class="autoplay" style="display: flex;">
        <?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
                <div style="padding:0 4px 0 4px;">
                    <a href="<?php the_permalink(); ?>">
                    <?php the_post_thumbnail(array(250,250)); ?>
                    <p class="text">
                        <?php the_title(); ?>
                    </p>
                    </a>
                </div>
        <?php endwhile; ?>
        <?php wp_reset_postdata(); ?>
    </div>
<?php
    return ob_get_clean();
}

function slick_add_css()
{
    print "<link rel='stylesheet' href='" . plugin_dir_url(__FILE__) . "slick/slick.css'/>";
    print "<link rel='stylesheet' href='" . plugin_dir_url(__FILE__) . "slick/slick-theme.css'/>";
}
function slick_add_js()
{
    print "<script src='" . plugin_dir_url(__FILE__) . "slick/slick.min.js'></script>";
    print "<script src='" . plugin_dir_url(__FILE__) . "slick/main-slick.js'></script>";
}

add_action('wp_head', 'slick_add_css');
add_action('wp_footer', 'slick_add_js');
add_filter('the_content', 'comment_add');
remove_filter('the_content', 'wpautop');
